Package org.eclipse.emf.cdo.lm.reviews.impl

# Enum Class ReviewStatemachine.ReviewEvent

java.lang.Object
java.lang.Enum<ReviewStatemachine.ReviewEvent>
org.eclipse.emf.cdo.lm.reviews.impl.ReviewStatemachine.ReviewEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<ReviewStatemachine.ReviewEvent>`, `java.lang.constant.Constable`

Enclosing class:
  `ReviewStatemachine<REVIEW extends Review>`

public static enum ReviewStatemachine.ReviewEvent extends Enum<ReviewStatemachine.ReviewEvent>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Abandon`
`CommitInSource`
`CommitInTarget`
`Delete`
`Finish`
`MergeFromSource`
`RebaseToTarget`
`Restore`
`Submit`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isClient()`
`boolean`
`isDelivery()`
`boolean`
`isDrop()`
`boolean`
`isServer()`
`static ReviewStatemachine.ReviewEvent`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReviewStatemachine.ReviewEvent[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CommitInSource

public static final ReviewStatemachine.ReviewEvent CommitInSource

### CommitInTarget

public static final ReviewStatemachine.ReviewEvent CommitInTarget

### MergeFromSource

public static final ReviewStatemachine.ReviewEvent MergeFromSource

### RebaseToTarget

public static final ReviewStatemachine.ReviewEvent RebaseToTarget

### Submit

public static final ReviewStatemachine.ReviewEvent Submit

### Abandon

public static final ReviewStatemachine.ReviewEvent Abandon

### Restore

public static final ReviewStatemachine.ReviewEvent Restore

### Finish

public static final ReviewStatemachine.ReviewEvent Finish

### Delete

public static final ReviewStatemachine.ReviewEvent Delete

## Method Details

### values

public static ReviewStatemachine.ReviewEvent[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ReviewStatemachine.ReviewEvent valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isClient

public boolean isClient()

### isServer

public boolean isServer()

### isDelivery

public boolean isDelivery()

### isDrop

public boolean isDrop()